Bug 235487 - rpmlint should not check for %config under /etc/gconf/schemas
rpmlint should not check for %config under /etc/gconf/schemas
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-06 02:08 EDT by Hans de Goede
Modified: 2009-06-16 15:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 15:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-04-06 02:08:46 EDT
Right now every package that installs files under /etc/gconf/schemas gets a
complaint from rpmlint that these files should be marked %config, however I've
been doing some research on this and the general opinion seems to be the exact
opposite, they should never be marked %config, as they are not to be edited!

So rpmlint should check and warn for the reverse, for files under
/etc/gconf/schemas, being marked %config, as they shouldn't be.
Comment 1 Ville Skyttä 2007-04-06 03:19:21 EDT
If they're not to be edited, wouldn't /usr/... be a more appropriate install
location?
Comment 2 Hans de Goede 2007-04-06 03:24:31 EDT
I've been thinking about that myself too, and I think it might, I'm sure there
is a good reason to put them under /etc though. Maybe we should first let the
FPC say something usefull about this?
Comment 3 Ville Skyttä 2007-04-06 12:43:38 EDT
Sure.  Since you've done some ground work on it, would you mind posting to
fedora-packaging (or -devel) to get opinions why they're installed in /etc/gconf
in the first place?
Comment 4 Ville Skyttä 2007-04-06 12:59:41 EDT
FWIW, see also http://burtonini.com/computing/gnome-policy-20050123.html#id2447554

Dunno about the status of that doc, whether it's Debian's official policy or
not.  They do appear to package schemas into /usr/share/gconf/schemas though.
Comment 5 Hans de Goede 2007-04-07 07:45:16 EDT
(In reply to comment #3)
> Sure.  Since you've done some ground work on it, would you mind posting to
> fedora-packaging (or -devel) to get opinions why they're installed in /etc/gconf
> in the first place?

Done.
Comment 6 Bug Zapper 2008-04-03 19:58:30 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Hans de Goede 2008-04-04 04:26:18 EDT
This bug still applies, the issue has been discussed on the devel-list, but as
far as I remember, there wasn't a clear resolution.
Comment 8 Bug Zapper 2008-05-13 22:44:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 18:32:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Hans de Goede 2009-06-10 03:28:44 EDT
AFAIK this is still relevant changing version to rawhide.
Comment 11 Ville Skyttä 2009-06-16 15:46:43 EDT
Right.  But I don't remember seeing compelling evidence or even opinions that the schemas would really belong in /etc; on the contrary, AIUI just about everyone agrees that it's not the correct place for them and there are even some hints of movement in possibly moving them to /usr/share: https://fedoraproject.org/wiki/GConf_Scriptlets_(draft)

If/when that happens, rpmlint should already now be doing the right thing.  Therefore, closing as not a bug.

Note You need to log in before you can comment on or make changes to this bug.